
class MigrationListFormat(object):
    """Migration list format: plain-text or JSON

    Plain text is used by default when running migrator from CLI: it is easy to edit from command line.
    JSON is used by GUI: it makes integration of GUI and CLI components more simple
    """
    PLAIN = 'plain'
    JSON = 'json'

    @classmethod
    def get_allowed_values(cls):
        return [cls.PLAIN, cls.JSON]
